

#ifndef LIBRARYBASE_H
#define LIBRARYBASE_H


#ifndef  EXEC_LIBRARIES_H
#include "exec/libraries.h"
#endif

#ifndef DOS_DOS_H
#include "dos/dos.h"
#endif

#ifndef INTUITION_CLASSES_H
#include "intuition/classes.h"
#endif


#define SEGLISTPTR LONG


// BOOPSI class libraries should use this structure as the base for their
// library data.  This allows developers to obtain the class pointer for
// performing object-less inquiries.
//
// struct ClassLibrary
// {
//    struct Library cl_Lib;    /* Embedded library */
//    UWORD          cl_Pad;    /* Align the structure */
//    Class         *cl_Class;  /* Class pointer */
// };

struct LibraryBase
{
   struct Library Library;
   UWORD Pad;
   Class *Class;
   SEGLISTPTR SegList;
   /* Other stuff here */
};


#endif


