

#include "exec/types.h"
#include "proto/exec.h"
#include "proto/dos.h"
#include "string.h"


STRPTR verstag = "$VER: FilterProtos 40.1 (7.4.98) by Massimo Tantignone";


ULONG main(LONG argc, STRPTR *argv)
{
   BPTR input, output;
   UBYTE linebuffer[512], *buffer;
   ULONG count = 0L;

   if (argc < 4) return (RETURN_FAIL);

   if (input = Open(argv[1],MODE_OLDFILE))
   {
      if (output = Open(argv[2],MODE_NEWFILE))
      {
         if (argc > 4) FPrintf(output,"\n\n/* Prototypes for functions defined in %s */\n\n\n",argv[4]);

         while (buffer = FGets(input,linebuffer,511))
         {
            if (strstr(buffer,argv[3]))
            {
               FPrintf(output,"%s\n",buffer);
               count += 1;
            }
         }

         Close(output);
      }
      else
      {
         Printf("Can't open output file \"%s\".\n",argv[2]);
      }

      Close(input);
   }
   else
   {
      Printf("Can't open input file \"%s\".\n",argv[1]);
   }

   if (count) Printf("Done. %ld function prototype%s added to the include file.\n",count,(count > 1)? "s": "");
}


