#ifndef EXTFRAMECLASS_H
#define EXTFRAMECLASS_H
/*
**  ExtFrameIClass 1.0 -> Extended FrameIClass
**  --------------
**
**  (c) 1999 Matteo Cavalleri
**  
*/

/* /// "Global" */

/* (IT) i tipi di bordo  */
/* (EN) our border types */
#define FRAME_NONE              0  /* currently unused */
#define FRAME_FLAT              1
#define FRAME_BEVEL             2
#define FRAME_RECESSED          3
#define FRAME_XEN               4
#define FRAME_DOUBLEBEVEL       5
#define FRAME_DOUBLERECESSED    6

/* (IT) le tag per la nostra classe */
/* (EN) our class' tags             */
#define EFA_Dummy               (TAG_USER  + 0x60000)
#define EFA_BorderType          (EFA_Dummy + 1)

#ifndef EXPERIMENTAL_CLASS
    #define EFA_BackgroundPen       (EFA_Dummy + 2)
    #define EFA_ShinePen            (EFA_Dummy + 3)
    #define EFA_ShadowPen           (EFA_Dummy + 4)
    #define EFA_HalfShadowPen       (EFA_Dummy + 5)
#else
    #define EFA_BackgroundColor     (EFA_Dummy + 2)
    #define EFA_ShineColor          (EFA_Dummy + 3)
    #define EFA_ShadowColor         (EFA_Dummy + 4)
    #define EFA_HalfShadowColor     (EFA_Dummy + 5)
    #define EFA_Screen              (EFA_Dummy + 6)
#endif

#define freeExtFrameIClass(cl)      FreeClass(cl);

/* /// */
/* /// "Prototyping" */

Class *makeExtFrameIClass(void);

/* /// */

#endif
