#ifndef FRPROPGCLASS_H
#define FRPROPGCLASS_H
/*
**	$Id: FrPropGClass.h,v 1.1 1999/02/07 14:24:42 bernie Exp $
**
**	Copyright (C) 1999 Bernardo Innocenti
**	All rights reserved.
**
**	A simple subclass of the propgclass which supports to be framed
**	with any boopsi image. The frame must be specified specified
**	through the GA_LabelImage tag because the GA_Image already has
**	a special meaning for the propgclass.
**
**	Unfortunately The original ROM class is not smart enough to do
**	this simple job by itself. This new class overloads the GM_RENDER
**	method to work around these problems.
*/


#define FRPROPGCLASS		"frpropgclass"
#define FRPROPGVERS	1


/* Functions to initialize and destroy the class */
Class	*MakeFrPropGClass	(void);
BOOL	 FreeFrPropGClass	(Class *cl);



/*****************/
/* Class Methods */
/*****************/

/* This class does not define any new methods */

/********************/
/* Class Attributes */
/********************/

/* #define FPGA_Dummy (TAG_USER | ('F'<<16) | ('P'<<8)) */

/* This class does not define any new attributes */




#endif /* !FRPROPGCLASS_H */
