

#include "exec/types.h"
#include "proto/exec.h"
#include "proto/dos.h"
#include "string.h"


STRPTR verstag = "$VER: ExtendPragmas 40.1 (11.4.98) by Massimo Tantignone";


ULONG main(LONG argc, STRPTR *argv)
{
   BPTR input, output;
   UBYTE linebuffer[512], *buffer, *pos;
   ULONG a, count = 0L;

   if (argc < 3) return (RETURN_FAIL);

   if (input = Open(argv[1],MODE_OLDFILE))
   {
      if (output = Open(argv[2],MODE_NEWFILE))
      {
         while (buffer = FGets(input,linebuffer,511))
         {
            FPrintf(output,"%s",buffer);

            if (!strncmp(buffer,"#pragma libcall",15))
            {
               for (a = 16; buffer[a] != ' '; a++) ;
               a += 1;
               for (; buffer[a] != ' '; a++) ;
               pos = buffer + a - 1;

               if (*pos == 'A')
               {
                  buffer[8] = 't';
                  buffer[9] = 'a';
                  buffer[10] = 'g';
                  *pos = '\0';
                  FPrintf(output,"%s%s",buffer,pos + 1);
                  count += 1;
               }
            }
         }

         Close(output);
      }
      else
      {
         Printf("Can't open output file \"%s\".\n",argv[2]);
      }

      Close(input);
   }
   else
   {
      Printf("Can't open input file \"%s\".\n",argv[1]);
   }

   if (count) Printf("Done. %ld tagcall pragma%s added to the list.\n",count,(count > 1)? "s": "");
}


