

#include "exec/types.h"
#include "proto/exec.h"
#include "proto/dos.h"
#include "string.h"


STRPTR verstag = "$VER: FDToList 40.1 (28.3.98) by Massimo Tantignone";


ULONG main(LONG argc, STRPTR *argv)
{
   BPTR input, output;
   UBYTE linebuffer[512], *buffer;
   ULONG count = 0L;

   if (argc < 3) return (RETURN_FAIL);

   if (input = Open(argv[1],MODE_OLDFILE))
   {
      if (output = Open(argv[2],MODE_NEWFILE))
      {
         while (buffer = FGets(input,linebuffer,511))
         {
            if ((buffer[0] != '*') && (buffer[0] != '#'))
            {
               if (buffer = strchr(buffer,'('))
               {
                  *buffer = '\0';
                  FPrintf(output,"   %s%s,\n",(argc > 3)? argv[3]: "",linebuffer);
                  count += 1;
               }
            }
         }

         Close(output);
      }
      else
      {
         Printf("Can't open output file \"%s\".\n",argv[2]);
      }

      Close(input);
   }
   else
   {
      Printf("Can't open input file \"%s\".\n",argv[1]);
   }

   if (count) Printf("Done. %ld function%s added to the list.\n",count,(count > 1)? "s": "");
}


