

/*  UserLib.c  $ 15/05/95 MT $  */
/*  Per la fastlayout.library   */


#include "exec/libraries.h"
#include "proto/exec.h"


struct Library *GfxBase;
struct Library *IntuitionBase;
struct Library *GadToolsBase;
struct Library *UtilityBase;

void __saveds __asm __UserLibCleanup(register __a6 struct Library *libbase);


int __saveds __asm __UserLibInit(register __a6 struct Library *libbase)
{
   GfxBase = OpenLibrary("graphics.library",36L);
   IntuitionBase = OpenLibrary("intuition.library",36L);
   GadToolsBase = OpenLibrary("gadtools.library",36L);
   UtilityBase = OpenLibrary("utility.library",36L);

   if (GfxBase && IntuitionBase && GadToolsBase && UtilityBase)
   {
      return (0);
   }
   else
   {
      __UserLibCleanup(libbase);
      return (1);
   }
}

void __saveds __asm __UserLibCleanup(register __a6 struct Library *libbase)
{
   if (GfxBase) CloseLibrary(GfxBase);
   if (IntuitionBase) CloseLibrary(IntuitionBase);
   if (GadToolsBase) CloseLibrary(GadToolsBase);
   if (UtilityBase) CloseLibrary(UtilityBase);
   GfxBase = IntuitionBase = GadToolsBase = UtilityBase = NULL;
}


